---
title: RTCIceCandidate. toJSON()
slug: Web/API/RTCIceCandidate/toJSON
tags:
  - API
  - Candidate
  - ICE
  - JSON
  - Method
  - RTCIceCandidate
  - Reference
  - SDP
  - WebRTC
  - WebRTC API
  - toJSON
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("RTCIceCandidate")}} method <code><strong>toJSON()</strong></code> converts the <code>RTCIceCandidate</code> on which it's called into JSON in the form of an {{domxref("RTCIceCandidateInit")}} object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>json</em> = <em>rtcIceCandidate</em>.toJSON();</pre>

<h3 id="Return_value">Return value</h3>

<p>An object conforming to the {{domxref("RTCIceCandidateInit")}} dictionary, whose members' values are set to the corresponding values in the <code>RTCIceCandidate</code> object.</p>

<p>You can then get a stringified version of the object by calling {{jsxref("JSON.stringify", "stringify()")}} on the returned object. See the {{anch("Example", "example")}} below.</p>

<h2 id="Example">Example</h2>

<p>This simple example obtains a JSON string representing an <code>RTCIceCandidate</code> found in the variable <code>candidate</code>.</p>

<pre class="brush: js">var jsonString = candidate.toJSON().stringify();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcicecandidate-tojson', 'RTCIceCandidate.toJSON()')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceCandidate.toJSON")}}</p>
</div>
